Bug 205275 - games/0ad switch to USES=execinfo
Summary: games/0ad switch to USES=execinfo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-12-12 19:44 UTC by Pawel Pekala
Modified: 2015-12-18 00:01 UTC (History)
0 users

See Also:
madpilot: maintainer-feedback+


Attachments
USES=execinfo switch (813 bytes, patch)
2015-12-12 19:44 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2015-12-12 19:44:20 UTC
Created attachment 164157 [details]
USES=execinfo switch

Switch to USES=execinfo, port links to bas libexecinfo anyway:

===>  Building package for 0ad-0.0.19
actual-package-depends: dependency on /usr/lib/libexecinfo.so not registered (normal if it belongs to base)
Comment 1 Guido Falsi freebsd_committer 2015-12-14 14:47:12 UTC
Hi,

Thanks for your report.

I'll add the USES, because it does link to execinfo, so it should be there, but please note that the execinfo USES script is just a NOP for FreeBSD versions having libexecinfo in base, so that error message in poudriere will not go away.

Since the port is marked as BROKEN on 9.x for unrelated reasons (the compiler just crashes during the build there) the flag will always be a NOP for this port.

Also the error message states it can be ignored for libraries belonging to base.

I will commit this change in the next few days.
Comment 2 Pawel Pekala freebsd_committer 2015-12-14 22:53:05 UTC
All true. Just note that we partly support other OS - DragonFlyBSD and who knows maybe others in the future so I think cleaning this now is good idea.
Comment 3 commit-hook freebsd_committer 2015-12-18 00:00:48 UTC
A commit references this bug:

Author: madpilot
Date: Fri Dec 18 00:00:33 UTC 2015
New revision: 403942
URL: https://svnweb.freebsd.org/changeset/ports/403942

Log:
  Switch to USES=execinfo.

  PR:		205275
  Submitted by:	pawel@

Changes:
  head/games/0ad/Makefile
Comment 4 Guido Falsi freebsd_committer 2015-12-18 00:01:34 UTC
Committed. Thanks, and sorry if I delayed this, it was due to reasons unrelated to the PR itself, which is correct and overdue.